hopenssl: FFI Bindings to OpenSSL's EVP Digest Interface

[ bsd3, cryptography, foreign, library ] [ Propose Tags ]

Foreign-function bindings to the OpenSSL library. Currently provides access to the messages digests MD5, DSS, DSS1, RIPEMD160, and various SHA variants through the EVP digest interface.

Versions [faq] 1.0, 1.1, 1.2, 1.3, 1.4, 1.6, 1.6.1, 1.6.2, 1.7, 2, 2.1, 2.2, 2.2.1, 2.2.2, 2.2.3, 2.2.4
Dependencies base (>=4.6 && <5), bytestring [details]
License BSD-3-Clause
Copyright (c) 2004-2018 Peter Simons
Author Peter Simons, Markus Rothe
Maintainer Peter Simons <simons@cryp.to>
Revised Revision 1 made by PeterSimons at Tue Mar 5 09:42:29 UTC 2019
Category Foreign, Cryptography
Home page https://github.com/peti/hopenssl
Source repo head: git clone git://github.com/peti/hopenssl.git
Uploaded by PeterSimons at Wed Dec 26 12:10:51 UTC 2018
Distributions LTSHaskell:2.2.4, NixOS:2.2.4, Stackage:2.2.4
Downloads 8432 total (258 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs available [build log]
Last success reported on 2018-12-26 [all 1 reports]

Modules

[Index] [Quick Jump]

Flags

NameDescriptionDefaultType
link-libz

OpenSSL's libcrypto has a dependency on libz

DisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees